Create a new message record

Create a new message record. This endpoint should be used when a Streaming flow is selected or when a messageId/conversationId has to be known in advance.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Sample request:

{
  "channelId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "source": "WEBSITE",
  "message": "string",
  "conversationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "senderId": "[email protected]"
}

Sample response:

{
  "channelId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "conversationId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "messageId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "messageContent": "string",
  "createdAt": "2023-07-19T22:50:30.845Z"
}
Body Params
uuid
required

ID of the channel on which the conversation was or will be initiated.

string
required

The source of the chat conversation to be used for your analytics and debugging purposes.

string
required

Content of the user message.

uuid

ID of the conversation/thread. If present, will add the newly created message record to the conversation history. Otherwise, will create a new conversation.

string

An optional user identifier to be used for your analytics and debugging purposes.

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json